Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network151.32.0.0/14
Usable hosts262,142
Subnet mask255.252.0.0
Addresses262,144
Network address
151.32.0.0
Broadcast address
151.35.255.255
First usable
151.32.0.1
Last usable
151.35.255.254
Usable hosts
262,142 (262,144 less the network and broadcast addresses)
Subnet mask
255.252.0.0
Wildcard mask
0.3.255.255 (Cisco ACLs, OSPF)
Prefix length
/14
Type
Public public
Old class
B (default /16)
As numbers
Hex 97200000 · Integer 2535456768 to 2535718911
Reverse DNS zones
32.151.in-addr.arpa
33.151.in-addr.arpa
34.151.in-addr.arpa
35.151.in-addr.arpa
/14 is not on a 8-bit boundary, so it takes 4 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10010111.00100000.00000000.00000000151.32.0.0
Subnet mask11111111.11111100.00000000.00000000255.252.0.0
Network10010111.00100000.00000000.00000000151.32.0.0
Broadcast10010111.00100011.11111111.11111111151.35.255.255
Split into smaller subnets/22

151.32.0.0/14 makes 256 subnets of /22.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1151.32.0.0/22151.32.0.1 to 151.32.3.254151.32.3.2551,022
2151.32.4.0/22151.32.4.1 to 151.32.7.254151.32.7.2551,022
3151.32.8.0/22151.32.8.1 to 151.32.11.254151.32.11.2551,022
4151.32.12.0/22151.32.12.1 to 151.32.15.254151.32.15.2551,022
5151.32.16.0/22151.32.16.1 to 151.32.19.254151.32.19.2551,022
6151.32.20.0/22151.32.20.1 to 151.32.23.254151.32.23.2551,022
7151.32.24.0/22151.32.24.1 to 151.32.27.254151.32.27.2551,022
8151.32.28.0/22151.32.28.1 to 151.32.31.254151.32.31.2551,022
9151.32.32.0/22151.32.32.1 to 151.32.35.254151.32.35.2551,022
10151.32.36.0/22151.32.36.1 to 151.32.39.254151.32.39.2551,022
11151.32.40.0/22151.32.40.1 to 151.32.43.254151.32.43.2551,022
12151.32.44.0/22151.32.44.1 to 151.32.47.254151.32.47.2551,022
13151.32.48.0/22151.32.48.1 to 151.32.51.254151.32.51.2551,022
14151.32.52.0/22151.32.52.1 to 151.32.55.254151.32.55.2551,022
15151.32.56.0/22151.32.56.1 to 151.32.59.254151.32.59.2551,022
16151.32.60.0/22151.32.60.1 to 151.32.63.254151.32.63.2551,022
17151.32.64.0/22151.32.64.1 to 151.32.67.254151.32.67.2551,022
18151.32.68.0/22151.32.68.1 to 151.32.71.254151.32.71.2551,022
19151.32.72.0/22151.32.72.1 to 151.32.75.254151.32.75.2551,022
20151.32.76.0/22151.32.76.1 to 151.32.79.254151.32.79.2551,022
21151.32.80.0/22151.32.80.1 to 151.32.83.254151.32.83.2551,022
22151.32.84.0/22151.32.84.1 to 151.32.87.254151.32.87.2551,022
23151.32.88.0/22151.32.88.1 to 151.32.91.254151.32.91.2551,022
24151.32.92.0/22151.32.92.1 to 151.32.95.254151.32.95.2551,022
25151.32.96.0/22151.32.96.1 to 151.32.99.254151.32.99.2551,022
26151.32.100.0/22151.32.100.1 to 151.32.103.254151.32.103.2551,022
27151.32.104.0/22151.32.104.1 to 151.32.107.254151.32.107.2551,022
28151.32.108.0/22151.32.108.1 to 151.32.111.254151.32.111.2551,022
29151.32.112.0/22151.32.112.1 to 151.32.115.254151.32.115.2551,022
30151.32.116.0/22151.32.116.1 to 151.32.119.254151.32.119.2551,022
31151.32.120.0/22151.32.120.1 to 151.32.123.254151.32.123.2551,022
32151.32.124.0/22151.32.124.1 to 151.32.127.254151.32.127.2551,022
33151.32.128.0/22151.32.128.1 to 151.32.131.254151.32.131.2551,022
34151.32.132.0/22151.32.132.1 to 151.32.135.254151.32.135.2551,022
35151.32.136.0/22151.32.136.1 to 151.32.139.254151.32.139.2551,022
36151.32.140.0/22151.32.140.1 to 151.32.143.254151.32.143.2551,022
37151.32.144.0/22151.32.144.1 to 151.32.147.254151.32.147.2551,022
38151.32.148.0/22151.32.148.1 to 151.32.151.254151.32.151.2551,022
39151.32.152.0/22151.32.152.1 to 151.32.155.254151.32.155.2551,022
40151.32.156.0/22151.32.156.1 to 151.32.159.254151.32.159.2551,022
41151.32.160.0/22151.32.160.1 to 151.32.163.254151.32.163.2551,022
42151.32.164.0/22151.32.164.1 to 151.32.167.254151.32.167.2551,022
43151.32.168.0/22151.32.168.1 to 151.32.171.254151.32.171.2551,022
44151.32.172.0/22151.32.172.1 to 151.32.175.254151.32.175.2551,022
45151.32.176.0/22151.32.176.1 to 151.32.179.254151.32.179.2551,022
46151.32.180.0/22151.32.180.1 to 151.32.183.254151.32.183.2551,022
47151.32.184.0/22151.32.184.1 to 151.32.187.254151.32.187.2551,022
48151.32.188.0/22151.32.188.1 to 151.32.191.254151.32.191.2551,022
49151.32.192.0/22151.32.192.1 to 151.32.195.254151.32.195.2551,022
50151.32.196.0/22151.32.196.1 to 151.32.199.254151.32.199.2551,022
51151.32.200.0/22151.32.200.1 to 151.32.203.254151.32.203.2551,022
52151.32.204.0/22151.32.204.1 to 151.32.207.254151.32.207.2551,022
53151.32.208.0/22151.32.208.1 to 151.32.211.254151.32.211.2551,022
54151.32.212.0/22151.32.212.1 to 151.32.215.254151.32.215.2551,022
55151.32.216.0/22151.32.216.1 to 151.32.219.254151.32.219.2551,022
56151.32.220.0/22151.32.220.1 to 151.32.223.254151.32.223.2551,022
57151.32.224.0/22151.32.224.1 to 151.32.227.254151.32.227.2551,022
58151.32.228.0/22151.32.228.1 to 151.32.231.254151.32.231.2551,022
59151.32.232.0/22151.32.232.1 to 151.32.235.254151.32.235.2551,022
60151.32.236.0/22151.32.236.1 to 151.32.239.254151.32.239.2551,022
61151.32.240.0/22151.32.240.1 to 151.32.243.254151.32.243.2551,022
62151.32.244.0/22151.32.244.1 to 151.32.247.254151.32.247.2551,022
63151.32.248.0/22151.32.248.1 to 151.32.251.254151.32.251.2551,022
64151.32.252.0/22151.32.252.1 to 151.32.255.254151.32.255.2551,022
65151.33.0.0/22151.33.0.1 to 151.33.3.254151.33.3.2551,022
66151.33.4.0/22151.33.4.1 to 151.33.7.254151.33.7.2551,022
67151.33.8.0/22151.33.8.1 to 151.33.11.254151.33.11.2551,022
68151.33.12.0/22151.33.12.1 to 151.33.15.254151.33.15.2551,022
69151.33.16.0/22151.33.16.1 to 151.33.19.254151.33.19.2551,022
70151.33.20.0/22151.33.20.1 to 151.33.23.254151.33.23.2551,022
71151.33.24.0/22151.33.24.1 to 151.33.27.254151.33.27.2551,022
72151.33.28.0/22151.33.28.1 to 151.33.31.254151.33.31.2551,022
73151.33.32.0/22151.33.32.1 to 151.33.35.254151.33.35.2551,022
74151.33.36.0/22151.33.36.1 to 151.33.39.254151.33.39.2551,022
75151.33.40.0/22151.33.40.1 to 151.33.43.254151.33.43.2551,022
76151.33.44.0/22151.33.44.1 to 151.33.47.254151.33.47.2551,022
77151.33.48.0/22151.33.48.1 to 151.33.51.254151.33.51.2551,022
78151.33.52.0/22151.33.52.1 to 151.33.55.254151.33.55.2551,022
79151.33.56.0/22151.33.56.1 to 151.33.59.254151.33.59.2551,022
80151.33.60.0/22151.33.60.1 to 151.33.63.254151.33.63.2551,022
81151.33.64.0/22151.33.64.1 to 151.33.67.254151.33.67.2551,022
82151.33.68.0/22151.33.68.1 to 151.33.71.254151.33.71.2551,022
83151.33.72.0/22151.33.72.1 to 151.33.75.254151.33.75.2551,022
84151.33.76.0/22151.33.76.1 to 151.33.79.254151.33.79.2551,022
85151.33.80.0/22151.33.80.1 to 151.33.83.254151.33.83.2551,022
86151.33.84.0/22151.33.84.1 to 151.33.87.254151.33.87.2551,022
87151.33.88.0/22151.33.88.1 to 151.33.91.254151.33.91.2551,022
88151.33.92.0/22151.33.92.1 to 151.33.95.254151.33.95.2551,022
89151.33.96.0/22151.33.96.1 to 151.33.99.254151.33.99.2551,022
90151.33.100.0/22151.33.100.1 to 151.33.103.254151.33.103.2551,022
91151.33.104.0/22151.33.104.1 to 151.33.107.254151.33.107.2551,022
92151.33.108.0/22151.33.108.1 to 151.33.111.254151.33.111.2551,022
93151.33.112.0/22151.33.112.1 to 151.33.115.254151.33.115.2551,022
94151.33.116.0/22151.33.116.1 to 151.33.119.254151.33.119.2551,022
95151.33.120.0/22151.33.120.1 to 151.33.123.254151.33.123.2551,022
96151.33.124.0/22151.33.124.1 to 151.33.127.254151.33.127.2551,022
97151.33.128.0/22151.33.128.1 to 151.33.131.254151.33.131.2551,022
98151.33.132.0/22151.33.132.1 to 151.33.135.254151.33.135.2551,022
99151.33.136.0/22151.33.136.1 to 151.33.139.254151.33.139.2551,022
100151.33.140.0/22151.33.140.1 to 151.33.143.254151.33.143.2551,022
101151.33.144.0/22151.33.144.1 to 151.33.147.254151.33.147.2551,022
102151.33.148.0/22151.33.148.1 to 151.33.151.254151.33.151.2551,022
103151.33.152.0/22151.33.152.1 to 151.33.155.254151.33.155.2551,022
104151.33.156.0/22151.33.156.1 to 151.33.159.254151.33.159.2551,022
105151.33.160.0/22151.33.160.1 to 151.33.163.254151.33.163.2551,022
106151.33.164.0/22151.33.164.1 to 151.33.167.254151.33.167.2551,022
107151.33.168.0/22151.33.168.1 to 151.33.171.254151.33.171.2551,022
108151.33.172.0/22151.33.172.1 to 151.33.175.254151.33.175.2551,022
109151.33.176.0/22151.33.176.1 to 151.33.179.254151.33.179.2551,022
110151.33.180.0/22151.33.180.1 to 151.33.183.254151.33.183.2551,022
111151.33.184.0/22151.33.184.1 to 151.33.187.254151.33.187.2551,022
112151.33.188.0/22151.33.188.1 to 151.33.191.254151.33.191.2551,022
113151.33.192.0/22151.33.192.1 to 151.33.195.254151.33.195.2551,022
114151.33.196.0/22151.33.196.1 to 151.33.199.254151.33.199.2551,022
115151.33.200.0/22151.33.200.1 to 151.33.203.254151.33.203.2551,022
116151.33.204.0/22151.33.204.1 to 151.33.207.254151.33.207.2551,022
117151.33.208.0/22151.33.208.1 to 151.33.211.254151.33.211.2551,022
118151.33.212.0/22151.33.212.1 to 151.33.215.254151.33.215.2551,022
119151.33.216.0/22151.33.216.1 to 151.33.219.254151.33.219.2551,022
120151.33.220.0/22151.33.220.1 to 151.33.223.254151.33.223.2551,022
121151.33.224.0/22151.33.224.1 to 151.33.227.254151.33.227.2551,022
122151.33.228.0/22151.33.228.1 to 151.33.231.254151.33.231.2551,022
123151.33.232.0/22151.33.232.1 to 151.33.235.254151.33.235.2551,022
124151.33.236.0/22151.33.236.1 to 151.33.239.254151.33.239.2551,022
125151.33.240.0/22151.33.240.1 to 151.33.243.254151.33.243.2551,022
126151.33.244.0/22151.33.244.1 to 151.33.247.254151.33.247.2551,022
127151.33.248.0/22151.33.248.1 to 151.33.251.254151.33.251.2551,022
128151.33.252.0/22151.33.252.1 to 151.33.255.254151.33.255.2551,022
129151.34.0.0/22151.34.0.1 to 151.34.3.254151.34.3.2551,022
130151.34.4.0/22151.34.4.1 to 151.34.7.254151.34.7.2551,022
131151.34.8.0/22151.34.8.1 to 151.34.11.254151.34.11.2551,022
132151.34.12.0/22151.34.12.1 to 151.34.15.254151.34.15.2551,022
133151.34.16.0/22151.34.16.1 to 151.34.19.254151.34.19.2551,022
134151.34.20.0/22151.34.20.1 to 151.34.23.254151.34.23.2551,022
135151.34.24.0/22151.34.24.1 to 151.34.27.254151.34.27.2551,022
136151.34.28.0/22151.34.28.1 to 151.34.31.254151.34.31.2551,022
137151.34.32.0/22151.34.32.1 to 151.34.35.254151.34.35.2551,022
138151.34.36.0/22151.34.36.1 to 151.34.39.254151.34.39.2551,022
139151.34.40.0/22151.34.40.1 to 151.34.43.254151.34.43.2551,022
140151.34.44.0/22151.34.44.1 to 151.34.47.254151.34.47.2551,022
141151.34.48.0/22151.34.48.1 to 151.34.51.254151.34.51.2551,022
142151.34.52.0/22151.34.52.1 to 151.34.55.254151.34.55.2551,022
143151.34.56.0/22151.34.56.1 to 151.34.59.254151.34.59.2551,022
144151.34.60.0/22151.34.60.1 to 151.34.63.254151.34.63.2551,022
145151.34.64.0/22151.34.64.1 to 151.34.67.254151.34.67.2551,022
146151.34.68.0/22151.34.68.1 to 151.34.71.254151.34.71.2551,022
147151.34.72.0/22151.34.72.1 to 151.34.75.254151.34.75.2551,022
148151.34.76.0/22151.34.76.1 to 151.34.79.254151.34.79.2551,022
149151.34.80.0/22151.34.80.1 to 151.34.83.254151.34.83.2551,022
150151.34.84.0/22151.34.84.1 to 151.34.87.254151.34.87.2551,022
151151.34.88.0/22151.34.88.1 to 151.34.91.254151.34.91.2551,022
152151.34.92.0/22151.34.92.1 to 151.34.95.254151.34.95.2551,022
153151.34.96.0/22151.34.96.1 to 151.34.99.254151.34.99.2551,022
154151.34.100.0/22151.34.100.1 to 151.34.103.254151.34.103.2551,022
155151.34.104.0/22151.34.104.1 to 151.34.107.254151.34.107.2551,022
156151.34.108.0/22151.34.108.1 to 151.34.111.254151.34.111.2551,022
157151.34.112.0/22151.34.112.1 to 151.34.115.254151.34.115.2551,022
158151.34.116.0/22151.34.116.1 to 151.34.119.254151.34.119.2551,022
159151.34.120.0/22151.34.120.1 to 151.34.123.254151.34.123.2551,022
160151.34.124.0/22151.34.124.1 to 151.34.127.254151.34.127.2551,022
161151.34.128.0/22151.34.128.1 to 151.34.131.254151.34.131.2551,022
162151.34.132.0/22151.34.132.1 to 151.34.135.254151.34.135.2551,022
163151.34.136.0/22151.34.136.1 to 151.34.139.254151.34.139.2551,022
164151.34.140.0/22151.34.140.1 to 151.34.143.254151.34.143.2551,022
165151.34.144.0/22151.34.144.1 to 151.34.147.254151.34.147.2551,022
166151.34.148.0/22151.34.148.1 to 151.34.151.254151.34.151.2551,022
167151.34.152.0/22151.34.152.1 to 151.34.155.254151.34.155.2551,022
168151.34.156.0/22151.34.156.1 to 151.34.159.254151.34.159.2551,022
169151.34.160.0/22151.34.160.1 to 151.34.163.254151.34.163.2551,022
170151.34.164.0/22151.34.164.1 to 151.34.167.254151.34.167.2551,022
171151.34.168.0/22151.34.168.1 to 151.34.171.254151.34.171.2551,022
172151.34.172.0/22151.34.172.1 to 151.34.175.254151.34.175.2551,022
173151.34.176.0/22151.34.176.1 to 151.34.179.254151.34.179.2551,022
174151.34.180.0/22151.34.180.1 to 151.34.183.254151.34.183.2551,022
175151.34.184.0/22151.34.184.1 to 151.34.187.254151.34.187.2551,022
176151.34.188.0/22151.34.188.1 to 151.34.191.254151.34.191.2551,022
177151.34.192.0/22151.34.192.1 to 151.34.195.254151.34.195.2551,022
178151.34.196.0/22151.34.196.1 to 151.34.199.254151.34.199.2551,022
179151.34.200.0/22151.34.200.1 to 151.34.203.254151.34.203.2551,022
180151.34.204.0/22151.34.204.1 to 151.34.207.254151.34.207.2551,022
181151.34.208.0/22151.34.208.1 to 151.34.211.254151.34.211.2551,022
182151.34.212.0/22151.34.212.1 to 151.34.215.254151.34.215.2551,022
183151.34.216.0/22151.34.216.1 to 151.34.219.254151.34.219.2551,022
184151.34.220.0/22151.34.220.1 to 151.34.223.254151.34.223.2551,022
185151.34.224.0/22151.34.224.1 to 151.34.227.254151.34.227.2551,022
186151.34.228.0/22151.34.228.1 to 151.34.231.254151.34.231.2551,022
187151.34.232.0/22151.34.232.1 to 151.34.235.254151.34.235.2551,022
188151.34.236.0/22151.34.236.1 to 151.34.239.254151.34.239.2551,022
189151.34.240.0/22151.34.240.1 to 151.34.243.254151.34.243.2551,022
190151.34.244.0/22151.34.244.1 to 151.34.247.254151.34.247.2551,022
191151.34.248.0/22151.34.248.1 to 151.34.251.254151.34.251.2551,022
192151.34.252.0/22151.34.252.1 to 151.34.255.254151.34.255.2551,022
193151.35.0.0/22151.35.0.1 to 151.35.3.254151.35.3.2551,022
194151.35.4.0/22151.35.4.1 to 151.35.7.254151.35.7.2551,022
195151.35.8.0/22151.35.8.1 to 151.35.11.254151.35.11.2551,022
196151.35.12.0/22151.35.12.1 to 151.35.15.254151.35.15.2551,022
197151.35.16.0/22151.35.16.1 to 151.35.19.254151.35.19.2551,022
198151.35.20.0/22151.35.20.1 to 151.35.23.254151.35.23.2551,022
199151.35.24.0/22151.35.24.1 to 151.35.27.254151.35.27.2551,022
200151.35.28.0/22151.35.28.1 to 151.35.31.254151.35.31.2551,022
201151.35.32.0/22151.35.32.1 to 151.35.35.254151.35.35.2551,022
202151.35.36.0/22151.35.36.1 to 151.35.39.254151.35.39.2551,022
203151.35.40.0/22151.35.40.1 to 151.35.43.254151.35.43.2551,022
204151.35.44.0/22151.35.44.1 to 151.35.47.254151.35.47.2551,022
205151.35.48.0/22151.35.48.1 to 151.35.51.254151.35.51.2551,022
206151.35.52.0/22151.35.52.1 to 151.35.55.254151.35.55.2551,022
207151.35.56.0/22151.35.56.1 to 151.35.59.254151.35.59.2551,022
208151.35.60.0/22151.35.60.1 to 151.35.63.254151.35.63.2551,022
209151.35.64.0/22151.35.64.1 to 151.35.67.254151.35.67.2551,022
210151.35.68.0/22151.35.68.1 to 151.35.71.254151.35.71.2551,022
211151.35.72.0/22151.35.72.1 to 151.35.75.254151.35.75.2551,022
212151.35.76.0/22151.35.76.1 to 151.35.79.254151.35.79.2551,022
213151.35.80.0/22151.35.80.1 to 151.35.83.254151.35.83.2551,022
214151.35.84.0/22151.35.84.1 to 151.35.87.254151.35.87.2551,022
215151.35.88.0/22151.35.88.1 to 151.35.91.254151.35.91.2551,022
216151.35.92.0/22151.35.92.1 to 151.35.95.254151.35.95.2551,022
217151.35.96.0/22151.35.96.1 to 151.35.99.254151.35.99.2551,022
218151.35.100.0/22151.35.100.1 to 151.35.103.254151.35.103.2551,022
219151.35.104.0/22151.35.104.1 to 151.35.107.254151.35.107.2551,022
220151.35.108.0/22151.35.108.1 to 151.35.111.254151.35.111.2551,022
221151.35.112.0/22151.35.112.1 to 151.35.115.254151.35.115.2551,022
222151.35.116.0/22151.35.116.1 to 151.35.119.254151.35.119.2551,022
223151.35.120.0/22151.35.120.1 to 151.35.123.254151.35.123.2551,022
224151.35.124.0/22151.35.124.1 to 151.35.127.254151.35.127.2551,022
225151.35.128.0/22151.35.128.1 to 151.35.131.254151.35.131.2551,022
226151.35.132.0/22151.35.132.1 to 151.35.135.254151.35.135.2551,022
227151.35.136.0/22151.35.136.1 to 151.35.139.254151.35.139.2551,022
228151.35.140.0/22151.35.140.1 to 151.35.143.254151.35.143.2551,022
229151.35.144.0/22151.35.144.1 to 151.35.147.254151.35.147.2551,022
230151.35.148.0/22151.35.148.1 to 151.35.151.254151.35.151.2551,022
231151.35.152.0/22151.35.152.1 to 151.35.155.254151.35.155.2551,022
232151.35.156.0/22151.35.156.1 to 151.35.159.254151.35.159.2551,022
233151.35.160.0/22151.35.160.1 to 151.35.163.254151.35.163.2551,022
234151.35.164.0/22151.35.164.1 to 151.35.167.254151.35.167.2551,022
235151.35.168.0/22151.35.168.1 to 151.35.171.254151.35.171.2551,022
236151.35.172.0/22151.35.172.1 to 151.35.175.254151.35.175.2551,022
237151.35.176.0/22151.35.176.1 to 151.35.179.254151.35.179.2551,022
238151.35.180.0/22151.35.180.1 to 151.35.183.254151.35.183.2551,022
239151.35.184.0/22151.35.184.1 to 151.35.187.254151.35.187.2551,022
240151.35.188.0/22151.35.188.1 to 151.35.191.254151.35.191.2551,022
241151.35.192.0/22151.35.192.1 to 151.35.195.254151.35.195.2551,022
242151.35.196.0/22151.35.196.1 to 151.35.199.254151.35.199.2551,022
243151.35.200.0/22151.35.200.1 to 151.35.203.254151.35.203.2551,022
244151.35.204.0/22151.35.204.1 to 151.35.207.254151.35.207.2551,022
245151.35.208.0/22151.35.208.1 to 151.35.211.254151.35.211.2551,022
246151.35.212.0/22151.35.212.1 to 151.35.215.254151.35.215.2551,022
247151.35.216.0/22151.35.216.1 to 151.35.219.254151.35.219.2551,022
248151.35.220.0/22151.35.220.1 to 151.35.223.254151.35.223.2551,022
249151.35.224.0/22151.35.224.1 to 151.35.227.254151.35.227.2551,022
250151.35.228.0/22151.35.228.1 to 151.35.231.254151.35.231.2551,022
251151.35.232.0/22151.35.232.1 to 151.35.235.254151.35.235.2551,022
252151.35.236.0/22151.35.236.1 to 151.35.239.254151.35.239.2551,022
253151.35.240.0/22151.35.240.1 to 151.35.243.254151.35.243.2551,022
254151.35.244.0/22151.35.244.1 to 151.35.247.254151.35.247.2551,022
255151.35.248.0/22151.35.248.1 to 151.35.251.254151.35.251.2551,022
256151.35.252.0/22151.35.252.1 to 151.35.255.254151.35.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses